Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the details of a given authorisation control.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "name": "Spending controls", "id": "a1e54aed-8a68-4602-a792-30f4c67497cf", "active": true, "startTime": "2023-03-14T12:08:53Z", "endTime": "2023-03-14T12:08:53Z", "action": "BLOCK", "merchantScope": { "mcc": "3596", "mid": "string", "mccGroup": "Airlines" } }
The ID of the card to work with.
36
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
The ID of the account to work with.
"F50091"
The ID of the person to work with.
"775596ae-2624-40af-a9dc-9756110a4a04"
OK
The name of the authorisation control.
255
"Spending controls"
Unique identifier of the resource. If an id is not provided one will be generated.
"a1e54aed-8a68-4602-a792-30f4c67497cf"
If the auth control is active. Default is true.
true
Date and time when the control goes into effect, in UTC.
"2023-03-14T12:08:53Z"
Date and time when the control ends, in UTC.
For merchant restrictions, the action applied to the matched merchant/MCC: ALLOW (allowlist) or BLOCK (denylist). Defaults to BLOCK when omitted.
ALLOW
BLOCK
"BLOCK"
Show child attributes
Was this page helpful?